
con

  _clkmode = xtal1 + pll16x
  _xinfreq = 4_194_340                                            ' use 5MHz crystal
  

  CLK_FREQ = ((_clkmode - xtal1) >> 6) * _xinfreq
  MS_001   = CLK_FREQ / 1_000
  US_001   = CLK_FREQ / 1_000_000


con

  RX1 = 31
  TX1 = 30
  SDA = 29
  SCL = 28


con 

  #(-1), IS_ON, IS_OFF
  

con

   #1, HOME, GOTOXY, #8, BKSP, TAB, LF, CLREOL, CLRDN, CR       ' PST formmatting control
  #24, GOTOX, GOTOY, CLS


con

  M1_PWM = 12
  M1_DIR = 13

  M2_PWM = 14
  M2_DIR = 15
 

  
  
var

  byte motor_setup2
  long Stack3[30]
  long Stack4[30]
  'long Stack3[30] 
  long cogmotor3
  long cogmotor4
  'long cogmotor3
  

obj

  motors34 : "jm_dualmotor_ez2"
  
 
pub main (reconstructed_data, Motor_Ident) | speed  , okmotor1', okmotor2

if(motor_setup2 == 0)
   motors34.start(M1_PWM, M1_DIR, M2_PWM, M2_DIR, 2_500)
   cognew(motorthree(reconstructed_data), @Stack3)
   cognew(motorfour(reconstructed_data), @Stack4)
  
   motor_setup2 := 1

if(Motor_Ident == 3)
   motorthree(reconstructed_data)
   return

if(Motor_Ident == 4)
   motorfour(reconstructed_data)
   return

PUB motorthree(reconstructed_data) | Rotationm3


if(reconstructed_data > 30)
  rotationm3 := ((reconstructed_data - 30) * 100) 
  motors34.Setspeed(0, 100)
  '!OUTA[7] 
  pause(rotationm3)
  motors34.setspeed(0, 0)
  
if(reconstructed_data < 30)
  rotationm3 := reconstructed_data * 100
  motors34.setspeed(0, -100)
  '!OUTA[24] 
  Pause(rotationm3)
  motors34.setspeed(0, 0)

if(reconstructed_data > 70)
  motors34.Setspeed(0, 100)
 
return

PUB motorfour(reconstructed_data)  | Rotationm4

if(reconstructed_data > 30)
  rotationm4 := ((reconstructed_data - 30) * 100)     
  motors34.Setspeed(1, 100)
  pause(rotationm4)
  motors34.setspeed(1, 0)
  
if(reconstructed_data < 30)
  rotationm4 := reconstructed_data * 100 
  motors34.setspeed(1, -100)
  Pause(rotationm4)
  motors34.setspeed(1, 0)

if(reconstructed_data > 70)
  motors34.Setspeed(1, 100)
  
return


pub pause(ms) | t

'' Delay program ms milliseconds

  if (ms > 0)                                                   ' if valid delay
    t := cnt - 1760                                             '  sync (remove call overhead)
    repeat ms                                                   '  run 1ms loops
      waitcnt(t += MS_001)   